Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.nio.protocol
Interface NHttpResponseTrigger

Deprecated. (4.2) use `HttpAsyncExchange`

    @Deprecated
    public interface NHttpResponseTrigger

Callback interface to submit HTTP responses asynchronously.

The `NHttpRequestHandler.handle(org.apache.http.HttpRequest, HttpResponse, NHttpResponseTrigger, org.apache.http.protocol.HttpContext)` method does not have to submit a response immediately. It can defer transmission of the HTTP response back to the client without blocking the I/O thread by delegating the process of handling the HTTP request to a worker thread. The worker thread in its turn can use the instance of `NHttpResponseTrigger` passed as a parameter to submit a response as at a later point of time once the response becomes available.

Since:
  4.0

Method Summary
`void` | `handleException(HttpException ex)` Deprecated. Reports a protocol exception thrown while processing the request.
`void` | `handleException(IOException ex)` Deprecated. Report an IOException thrown while processing the request.
`void` | `submitResponse(HttpResponse response)` Deprecated. Submits a response to be sent back to the client as a result of processing of the request.

Method Detail

### submitResponse

    void submitResponse(HttpResponse response)

  Deprecated.
  Submits a response to be sent back to the client as a result of processing of the request.

### handleException

    void handleException(HttpException ex)

  Deprecated.
  Reports a protocol exception thrown while processing the request.

### handleException

    void handleException(IOException ex)

  Deprecated.
  Report an IOException thrown while processing the request.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.